<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_PalletReport StructType
 * @subpackage Structs
 */
class Get_PalletReport extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PalletReportSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PalletReportSelection
     */
    public $PalletReportSelection;
    /**
     * Constructor method for Get_PalletReport
     * @uses Get_PalletReport::setLogin()
     * @uses Get_PalletReport::setPalletReportSelection()
     * @param \StructType\Login $login
     * @param \StructType\PalletReportSelection $palletReportSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PalletReportSelection $palletReportSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPalletReportSelection($palletReportSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_PalletReport
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PalletReportSelection value
     * @return \StructType\PalletReportSelection|null
     */
    public function getPalletReportSelection()
    {
        return $this->PalletReportSelection;
    }
    /**
     * Set PalletReportSelection value
     * @param \StructType\PalletReportSelection $palletReportSelection
     * @return \StructType\Get_PalletReport
     */
    public function setPalletReportSelection(\StructType\PalletReportSelection $palletReportSelection = null)
    {
        $this->PalletReportSelection = $palletReportSelection;
        return $this;
    }
}
